<template>
  <div>
    <h3 class="ml-4">Documentos del avance:</h3>
    <div class="m-2 w-50">
        <b-row>
         
          <b-col
            cols="12"
            md="12"
            class="d-flex align-items-center justify-content-start  ml-2 md-1"
          >
             <b-form-input
                v-model="searchQuery"
                class="d-inline-block mr-1"
                placeholder="Search..."
              />
          </b-col>
          <b-col
            cols="12"
            md="6"
          >
           
          </b-col>
        </b-row>
      </div>
        
        
          <b-table
            :fields="fields"
            :items="documents"
            :filter="searchQuery"
            responsive
            :bordered="true"
            class="mb-1 ml-4 w-50"
            show-empty
            striped
            sticky-header
            head-variant="light"
            table-variant="light"
            empty-text="No se encontraron documentos"
          >


            <template #cell(file_name)="data">
                <a target="_blank" :href="baseURL+data.item.file">{{data.item.file_name}}</a>
                <b-button variant="outline" target="_blank"  :href="baseURL+data.item.file" ><feather-icon icon="EyeIcon" /></b-button>  
            </template>


          </b-table>
   
 
    </div>
    

</template>

<script>
import BCardCode from '@core/components/b-card-code/BCardCode.vue'
import { BTable, BProgress,BCard, BBadge,BDropdown, BDropdownItem, BAvatar, BButton,BRow, BCol, BFormInput,BFormCheckbox} from 'bootstrap-vue'

export default {

  components: {
    BCardCode,
    BTable,
    BProgress,
    BBadge,
    BDropdown, 
    BDropdownItem,
    BAvatar,
    BButton,
    BRow, 
    BCol, 
    BFormInput,
    BFormCheckbox,
    BCard
  },
  name:'documents-table',
  data() {
    return {
      documents:[],
      fields: [

        { key: 'file_name', label: 'Archivo' },

    

      ],
      searchQuery:'',
      baseURL:'http://quantumdaily-back.test/storage/',

    }
  },
  methods:{
    
    reload(e){
          if(e){
            this.$emit('success', true)
          }
    },
    getDocuments(){
      this.$http.get('project/activities/advances/documents',{params:{advance:this.$route.params.advance}}).then(res=>{
        this.documents = res.data.documents
      }).catch(err=>{
        console.log(err)
      })
    }
   
  },
  mounted(){
    this.getDocuments()
  }
 
}
</script>
